# Generated by Django 5.0.6 on 2024-07-17 10:12

import django.db.models.deletion
import simple_history.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalLoginLog',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('update_time', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='修改时间')),
                ('create_time', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='创建时间')),
                ('username', models.CharField(blank=True, max_length=32, null=True, verbose_name='登录用户名')),
                ('ip', models.CharField(blank=True, max_length=32, null=True, verbose_name='登录ip')),
                ('agent', models.TextField(blank=True, null=True, verbose_name='agent信息')),
                ('browser', models.CharField(blank=True, max_length=255, null=True, verbose_name='浏览器名')),
                ('os', models.CharField(blank=True, max_length=255, null=True, verbose_name='操作系统')),
                ('continent', models.CharField(blank=True, max_length=255, null=True, verbose_name='州')),
                ('country', models.CharField(blank=True, max_length=255, null=True, verbose_name='国家')),
                ('province', models.CharField(blank=True, max_length=255, null=True, verbose_name='省份')),
                ('city', models.CharField(blank=True, max_length=255, null=True, verbose_name='城市')),
                ('district', models.CharField(blank=True, max_length=255, null=True, verbose_name='县区')),
                ('isp', models.CharField(blank=True, max_length=255, null=True, verbose_name='运营商')),
                ('area_code', models.CharField(blank=True, max_length=255, null=True, verbose_name='区域代码')),
                ('country_english', models.CharField(blank=True, max_length=255, null=True, verbose_name='英文全称')),
                ('country_code', models.CharField(blank=True, max_length=255, null=True, verbose_name='简称')),
                ('longitude', models.CharField(blank=True, max_length=255, null=True, verbose_name='经度')),
                ('latitude', models.CharField(blank=True, max_length=255, null=True, verbose_name='纬度')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', related_query_name='%(app_label)s_%(class)s_created_by', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('modifier', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', related_query_name='%(app_label)s_%(class)s_modifier_by', to=settings.AUTH_USER_MODEL, verbose_name='修改人')),
            ],
            options={
                'verbose_name': '历史修改记录',
                'verbose_name_plural': 'historical 登录日志',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalOperationLog',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('update_time', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='修改时间')),
                ('create_time', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='创建时间')),
                ('request_modular', models.CharField(blank=True, max_length=255, null=True, verbose_name='请求模块')),
                ('request_path', models.CharField(blank=True, max_length=400, null=True, verbose_name='请求地址')),
                ('request_body', models.TextField(blank=True, null=True, verbose_name='请求参数')),
                ('request_method', models.CharField(blank=True, max_length=255, null=True, verbose_name='请求方式')),
                ('request_msg', models.TextField(blank=True, null=True, verbose_name='操作说明')),
                ('request_ip', models.CharField(blank=True, max_length=32, null=True, verbose_name='请求ip地址')),
                ('request_browser', models.CharField(blank=True, max_length=255, null=True, verbose_name='请求浏览器')),
                ('response_code', models.CharField(blank=True, max_length=32, null=True, verbose_name='响应状态码')),
                ('request_os', models.CharField(blank=True, max_length=255, null=True, verbose_name='操作系统')),
                ('json_result', models.TextField(blank=True, null=True, verbose_name='返回信息')),
                ('status', models.BooleanField(default=False, verbose_name='响应状态')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', related_query_name='%(app_label)s_%(class)s_created_by', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('modifier', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', related_query_name='%(app_label)s_%(class)s_modifier_by', to=settings.AUTH_USER_MODEL, verbose_name='修改人')),
            ],
            options={
                'verbose_name': '历史修改记录',
                'verbose_name_plural': 'historical 操作日志',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='LoginLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('update_time', models.DateTimeField(auto_now=True, null=True, verbose_name='修改时间')),
                ('create_time', models.DateTimeField(auto_now_add=True, null=True, verbose_name='创建时间')),
                ('username', models.CharField(blank=True, max_length=32, null=True, verbose_name='登录用户名')),
                ('ip', models.CharField(blank=True, max_length=32, null=True, verbose_name='登录ip')),
                ('agent', models.TextField(blank=True, null=True, verbose_name='agent信息')),
                ('browser', models.CharField(blank=True, max_length=255, null=True, verbose_name='浏览器名')),
                ('os', models.CharField(blank=True, max_length=255, null=True, verbose_name='操作系统')),
                ('continent', models.CharField(blank=True, max_length=255, null=True, verbose_name='州')),
                ('country', models.CharField(blank=True, max_length=255, null=True, verbose_name='国家')),
                ('province', models.CharField(blank=True, max_length=255, null=True, verbose_name='省份')),
                ('city', models.CharField(blank=True, max_length=255, null=True, verbose_name='城市')),
                ('district', models.CharField(blank=True, max_length=255, null=True, verbose_name='县区')),
                ('isp', models.CharField(blank=True, max_length=255, null=True, verbose_name='运营商')),
                ('area_code', models.CharField(blank=True, max_length=255, null=True, verbose_name='区域代码')),
                ('country_english', models.CharField(blank=True, max_length=255, null=True, verbose_name='英文全称')),
                ('country_code', models.CharField(blank=True, max_length=255, null=True, verbose_name='简称')),
                ('longitude', models.CharField(blank=True, max_length=255, null=True, verbose_name='经度')),
                ('latitude', models.CharField(blank=True, max_length=255, null=True, verbose_name='纬度')),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(app_label)s_%(class)s_created_by', related_query_name='%(app_label)s_%(class)s_created_by', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('modifier', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(app_label)s_%(class)s_modifier_by', related_query_name='%(app_label)s_%(class)s_modifier_by', to=settings.AUTH_USER_MODEL, verbose_name='修改人')),
            ],
            options={
                'verbose_name': '登录日志',
                'verbose_name_plural': '登录日志',
                'db_table': 'yc_login_log',
                'ordering': ('-id',),
            },
        ),
        migrations.CreateModel(
            name='OperationLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('update_time', models.DateTimeField(auto_now=True, null=True, verbose_name='修改时间')),
                ('create_time', models.DateTimeField(auto_now_add=True, null=True, verbose_name='创建时间')),
                ('request_modular', models.CharField(blank=True, max_length=255, null=True, verbose_name='请求模块')),
                ('request_path', models.CharField(blank=True, max_length=400, null=True, verbose_name='请求地址')),
                ('request_body', models.TextField(blank=True, null=True, verbose_name='请求参数')),
                ('request_method', models.CharField(blank=True, max_length=255, null=True, verbose_name='请求方式')),
                ('request_msg', models.TextField(blank=True, null=True, verbose_name='操作说明')),
                ('request_ip', models.CharField(blank=True, max_length=32, null=True, verbose_name='请求ip地址')),
                ('request_browser', models.CharField(blank=True, max_length=255, null=True, verbose_name='请求浏览器')),
                ('response_code', models.CharField(blank=True, max_length=32, null=True, verbose_name='响应状态码')),
                ('request_os', models.CharField(blank=True, max_length=255, null=True, verbose_name='操作系统')),
                ('json_result', models.TextField(blank=True, null=True, verbose_name='返回信息')),
                ('status', models.BooleanField(default=False, verbose_name='响应状态')),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(app_label)s_%(class)s_created_by', related_query_name='%(app_label)s_%(class)s_created_by', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('modifier', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(app_label)s_%(class)s_modifier_by', related_query_name='%(app_label)s_%(class)s_modifier_by', to=settings.AUTH_USER_MODEL, verbose_name='修改人')),
            ],
            options={
                'verbose_name': '操作日志',
                'verbose_name_plural': '操作日志',
                'db_table': 'yc_operation_log',
                'ordering': ('-id',),
            },
        ),
    ]
